User account creation filtered due to spam.

Bug 23184 - I18n bug in gjavah.c
Summary: I18n bug in gjavah.c
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: java (show other bugs)
Version: 4.0.1
: P2 minor
Target Milestone: 4.3.0
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on: 28067
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-01 20:37 UTC by Göran Uddeborg
Modified: 2007-01-09 20:47 UTC (History)
3 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2005-08-02 23:38:50


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Göran Uddeborg 2005-08-01 20:37:32 UTC
gcc/java/gjavah.c contains the statements

  fprintf (stderr, _("Try '" TOOLNAME " --help' for more information.\n"));

The tool extracting strings for translation is fooled by this (not
surprisingly).  The current po files contains the strings "Try '", " --help' for
more information.\n", for translation.  But at run-time, "gettext" (a.k.a. "_")
will of course be called with the merged string.

There is one more example in the file where string concatenation with TOOLNAME
breaks i18n in the same way.

  printf (_("Usage: " TOOLNAME " [OPTION]... CLASS...\n\n"));
Comment 1 Andrew Pinski 2005-08-02 23:38:50 UTC
Confirmed.
Comment 2 Tom Tromey 2006-09-20 16:53:04 UTC
This will be fixed by the ecj merge; we're deleting this version of gcjh.
Comment 3 Tom Tromey 2007-01-09 20:47:58 UTC
All gcj front end bugs have been fixed by the gcj-eclipse branch merge.
I'm mass-closing the affected PRs.
If you believe one of these was closed in error, please reopen it
with a note explaining why.
Thanks.